Bug 1669436 - [abrt] git-cola: _execute_child(): git.py:323:git:NameError: name 'WIN32' is not defined
Summary: [abrt] git-cola: _execute_child(): git.py:323:git:NameError: name 'WIN32' is ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: git-cola
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikos Roussos
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0a79a6052befe4808f20cba1d16...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-25 09:30 UTC by Gwendal
Modified: 2019-07-16 02:01 UTC (History)
6 users (show)

Fixed In Version: git-cola-3.3-1.fc29 git-cola-3.4-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-02 02:13:41 UTC


Attachments (Terms of Use)
File: backtrace (2.78 KB, text/plain)
2019-01-25 09:30 UTC, Gwendal
no flags Details
File: cgroup (341 bytes, text/plain)
2019-01-25 09:30 UTC, Gwendal
no flags Details
File: cpuinfo (1.92 KB, text/plain)
2019-01-25 09:30 UTC, Gwendal
no flags Details
File: environ (3.63 KB, text/plain)
2019-01-25 09:30 UTC, Gwendal
no flags Details
File: mountinfo (3.89 KB, text/plain)
2019-01-25 09:30 UTC, Gwendal
no flags Details
File: namespaces (129 bytes, text/plain)
2019-01-25 09:30 UTC, Gwendal
no flags Details
File: open_fds (4.08 KB, text/plain)
2019-01-25 09:30 UTC, Gwendal
no flags Details

Description Gwendal 2019-01-25 09:30:44 UTC
Version-Release number of selected component:
git-cola-2.10-6.fc29

Additional info:
reporter:       libreport-2.9.7
cmdline:        /usr/bin/python3 /usr/bin/git-cola --prompt
crash_function: _execute_child
exception_type: FileNotFoundError
executable:     /usr/bin/git-cola
interpreter:    python3-3.7.2-1.fc29.x86_64
kernel:         4.19.15-300.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
git.py:323:git:NameError: name 'WIN32' is not defined

Traceback (most recent call last):
  File "/usr/share/git-cola/lib/cola/git.py", line 318, in git
    return self.execute(call, **_kwargs)
  File "/usr/share/git-cola/lib/cola/git.py", line 235, in execute
    no_win32_startupinfo=_no_win32_startupinfo, **extra)
  File "/usr/share/git-cola/lib/cola/core.py", line 207, in run_command
    process = start_command(cmd, *args, **kwargs)
  File "/usr/share/git-cola/lib/cola/decorators.py", line 23, in _caller
    return caller(f, *args, **opts)
  File "/usr/share/git-cola/lib/cola/decorators.py", line 79, in interruptable
    raise e
  File "/usr/share/git-cola/lib/cola/decorators.py", line 75, in interruptable
    result = func(*args, **opts)
  File "/usr/share/git-cola/lib/cola/core.py", line 175, in start_command
    universal_newlines=universal_newlines, **extra)
  File "/usr/lib64/python3.7/subprocess.py", line 775, in __init__
    restore_signals, start_new_session)
  File "/usr/lib64/python3.7/subprocess.py", line 1522, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '/home/bousse-e/Documents/2017/2017-10 Journal Dorian reactive DSLs/gitrepo': '/home/bousse-e/Documents/2017/2017-10 Journal Dorian reactive DSLs/gitrepo'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/git-cola/lib/cola/app.py", line 177, in event
    if cfg.get('cola.refreshonfocus', False):
  File "/usr/share/git-cola/lib/cola/gitcfg.py", line 278, in get
    return self._get(self._all, key, default)
  File "/usr/share/git-cola/lib/cola/gitcfg.py", line 256, in _get
    self.update()
  File "/usr/share/git-cola/lib/cola/gitcfg.py", line 162, in update
    self._read_configs()
  File "/usr/share/git-cola/lib/cola/gitcfg.py", line 192, in _read_configs
    self.read_config(self._config_files['user']))
  File "/usr/share/git-cola/lib/cola/gitcfg.py", line 212, in read_config
    config_lines = self.git.config(*args)[STDOUT].split('\0')
  File "/usr/share/git-cola/lib/cola/git.py", line 323, in git
    if WIN32:
NameError: name 'WIN32' is not defined

Local variables in innermost frame:
self: <cola.git.Git object at 0x7ff35d6f8c88>
cmd: 'config'
args: ('--null', '--file', '/home/bousse-e/.gitconfig', '--list')
kwargs: {}
_kwargs: {'_cwd': '/home/bousse-e/Documents/2017/2017-10 Journal Dorian reactive DSLs/gitrepo'}
execute_kwargs: ('_cwd', '_decode', '_encoding', '_stdin', '_stdout', '_stderr', '_raw', '_readonly', '_no_win32_startupinfo')
kwarg: '_no_win32_startupinfo'
git_args: ['git', '-c', 'diff.suppressBlankEmpty=false', 'config']
opt_args: []
call: ['git', '-c', 'diff.suppressBlankEmpty=false', 'config', '--null', '--file', '/home/bousse-e/.gitconfig', '--list']

Comment 1 Gwendal 2019-01-25 09:30:47 UTC
Created attachment 1523450 [details]
File: backtrace

Comment 2 Gwendal 2019-01-25 09:30:49 UTC
Created attachment 1523451 [details]
File: cgroup

Comment 3 Gwendal 2019-01-25 09:30:50 UTC
Created attachment 1523452 [details]
File: cpuinfo

Comment 4 Gwendal 2019-01-25 09:30:51 UTC
Created attachment 1523453 [details]
File: environ

Comment 5 Gwendal 2019-01-25 09:30:53 UTC
Created attachment 1523454 [details]
File: mountinfo

Comment 6 Gwendal 2019-01-25 09:30:54 UTC
Created attachment 1523455 [details]
File: namespaces

Comment 7 Gwendal 2019-01-25 09:30:55 UTC
Created attachment 1523456 [details]
File: open_fds

Comment 8 David Aguilar 2019-01-26 18:46:59 UTC
v2.10 is pretty ancient these days.  v3.0, v3.1, v3.2, and the upcoming v3.3 should all be easy to take as an upgrade.  Technically it's a major version jump, but it's more of a minor feature release from a semver perspective (we are very careful about backwards compatibility and not requiring users to take on new dependencies).

Comment 9 Fedora Update System 2019-02-04 09:42:42 UTC
git-cola-3.3-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6038fcd228

Comment 10 Fedora Update System 2019-02-04 09:42:55 UTC
git-cola-3.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-99c132ee23

Comment 11 Fedora Update System 2019-02-04 09:43:05 UTC
git-cola-3.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-fe18a0bc67

Comment 12 Fedora Update System 2019-02-05 01:41:47 UTC
git-cola-3.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-99c132ee23

Comment 13 Fedora Update System 2019-02-05 02:04:45 UTC
git-cola-3.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-fe18a0bc67

Comment 14 Fedora Update System 2019-02-05 04:05:32 UTC
git-cola-3.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6038fcd228

Comment 15 Fedora Update System 2019-04-02 02:13:41 UTC
git-cola-3.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-06-28 16:19:41 UTC
FEDORA-EPEL-2019-0901e336dc has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0901e336dc

Comment 17 Fedora Update System 2019-06-28 18:38:22 UTC
git-cola-3.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0901e336dc

Comment 18 Fedora Update System 2019-07-16 02:01:22 UTC
git-cola-3.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.